# Get Event

> One event (same visibility rule as the list, else 404).

Source: https://shopassist.coec.dk/docs/api/reference/events/get-event · Updated 2026-11-03

`GET /v1/events/{event_id}`

- Scope: `events:read`
- Rate limit: 600 requests/min per API key (test keys: 60/min)

One event (same visibility rule as the list, else `404`).

## Parameters [#parameters]

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `event_id` | path | `string` | yes |  |

## Example request [#example-request]

```bash
curl -X GET "https://api.shopassist.coec.dk/v1/events/evt_01j8000000e008000000000000" \
  -H "Authorization: Bearer $SHOPASSIST_API_KEY"
```

## Response 200 (WebhookEventEnvelope) [#response]

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `api_version` | `"v1"` | yes | default "v1" |
| `created_at` | `string` | yes | format date-time |
| `data` | `object` | yes |  |
| `id` | `string` | yes | pattern `^evt_[0-9a-hjkmnp-tv-z]{26}$` |
| `organization_id` | `string` | yes | pattern `^org_[0-9a-hjkmnp-tv-z]{26}$` |
| `store_id` | `string \| null` | yes | null for organization-level events (usage) · pattern `^sto_[0-9a-hjkmnp-tv-z]{26}$` |
| `type` | `string (enum)` | yes | one of conversation.created, conversation.closed, message.created, handoff.requested, handoff.updated, lead.captured, lead.confirmed, lead.unsubscribed, back_in_stock.subscribed, back_in_stock.notified, csat.submitted, action.executed, order.attributed, privacy_request.completed, store.status_changed, sync.failed, usage.threshold_reached |

```json
{
  "api_version": "v1",
  "created_at": "2026-09-28T10:15:30.123Z",
  "data": {},
  "id": "evt_01j8000000e008000000000000",
  "organization_id": "org_01j8000000e008000000000000",
  "store_id": "sto_01j8000000e008000000000000",
  "type": "conversation.created"
}
```

## Errors [#errors]

| Status | Meaning |
| --- | --- |
| 400 | Bad Request ([error codes](/docs/api/errors)) |
| 401 | Unauthorized ([error codes](/docs/api/errors)) |
| 403 | Forbidden ([error codes](/docs/api/errors)) |
| 404 | Not Found ([error codes](/docs/api/errors)) |
| 422 | Unprocessable Content ([error codes](/docs/api/errors)) |
| 429 | Too Many Requests ([error codes](/docs/api/errors)) |
